Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Interface ASN1Template

All Known Implementing Classes:
  CharacterString.Template, IA5String.Template, SET.OF_Template, SET.Template, NULL.Template, BMPString.Template, PrintableString.Template, OCTET_STRING.Template, SEQUENCE.Template, SEQUENCE.OF_Template, UTF8String.Template, TeletexString.Template, INTEGER.Template, EXPLICIT.Template, UniversalString.Template, BOOLEAN.Template, ANY.Template, OBJECT_IDENTIFIER.Template, UTCTime.Template, CHOICE.Template, BIT_STRING.Template, ENUMERATED.Template, GeneralizedTime.Template, DigestedData.Template, ContentInfo.Template, SignedData.Template, SignedAndEnvelopedData.Template, DigestInfo.Template, IssuerAndSerialNumber.Template, EncryptedData.Template, SignerInfo.Template, RecipientInfo.Template, EncryptedContentInfo.Template, EnvelopedData.Template, Attribute.Template, CertificationRequestInfo.Template, CertificationRequest.Template, SecretBag.Template, PFX.Template, SafeBag.Template, MacData.Template, CertBag.Template, AuthenticatedSafes.Template, DirectoryString.Template, PrivateKeyInfo.Template, EncryptedPrivateKeyInfo.Template, AVA.Template, SubjectPublicKeyInfo.Template, RDN.Template, Attribute.Template, AlgorithmIdentifier.Template, PBEParameter.Template, Name.Template, Extension.Template, CertificateInfo.Template, Certificate.Template, SubjectKeyIdentifier.Template, ResponseBody.Template, OtherInfo.Template, PendInfo.Template, TaggedAttribute.Template, TaggedCertificationRequest.Template, PKIData.Template, CMCStatusInfo.Template, TaggedRequest.Template, IssuerAndSubject.Template, PKIStatusInfo.Template, GetCRL.Template, RevRequest.Template, RevRepContent.Template, DigestInfo.Template, IssuerAndSerialNumber.Template, ContentInfo.Template, EncryptedContentInfo.Template, SignerInfo.Template, EncryptedData.Template, SignerIdentifier.Template, EncapsulatedContentInfo.Template, DigestedData.Template, EnvelopedData.Template, SignedAndEnvelopedData.Template, SignedData.Template, RecipientInfo.Template, CertTemplate.Template, EncryptedValue.Template, PKIPublicationInfo.Template, CertReqMsg.Template, Control.Template, ProofOfPossession.Template, EncryptedKey.Template, POPOSigningKey.Template, POPOPrivKey.Template, PKIArchiveOptions.Template, CertRequest.Template, CertId.Template

public interface ASN1Template

An interface for decoding ASN1Values from their BER encodings.

See Also:
  `ASN1Value`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes an ASN1Value from the InputStream without an implicit tag.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes an ASN1Value from the InputStream with the given implicit tag.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Determines whether the given tag will satisfy this template.

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes an ASN1Value from the InputStream without an implicit tag.
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes an ASN1Value from the InputStream with the given implicit tag.
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD